## org.apache.xerces.dom
Class ProcessingInstructionImpl

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.CharacterDataImpl
                  org.apache.xerces.dom.ProcessingInstructionImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.w3c.dom.events.EventTarget, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.ProcessingInstruction

Direct Known Subclasses:
  DeferredProcessingInstructionImpl

    public class ProcessingInstructionImpl

extends CharacterDataImpl
implements org.w3c.dom.ProcessingInstruction

Processing Instructions (PIs) permit documents to carry processor-specific information alongside their actual content. PIs are most common in XML, but they are supported in HTML as well. This class inherits from CharacterDataImpl to reuse its setNodeValue method.

Since:
  PR-DOM-Level-1-19980818.
Version:
  $Id: ProcessingInstructionImpl.java 320096 2004-10-05 17:12:51Z mrglavas $
See Also:
  Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary
`protected java.lang.String` `target`

Fields inherited from class org.apache.xerces.dom.CharacterDataImpl
`data`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`ProcessingInstructionImpl(CoreDocumentImpl ownerDoc, java.lang.String target, java.lang.String data)` Factory constructor.

Method Summary
`java.lang.String` `getBaseURI()` Returns the absolute base URI of this node or null if the implementation wasn't able to obtain an absolute URI.
`java.lang.String` `getData()` A PI's data content tells the processor what we actually want it to do.
`java.lang.String` `getNodeName()` Returns the target
`short` `getNodeType()` A short integer indicating what type of node this is.
`java.lang.String` `getTarget()` A PI's "target" states what processor channel the PI's data should be directed to.
`void` `setData(java.lang.String data)` Change the data content of this PI.

Methods inherited from class org.apache.xerces.dom.CharacterDataImpl
`appendData, deleteData, getChildNodes, getLength, getNodeValue, insertData, replaceData, setNodeValue, setNodeValueInternal, setNodeValueInternal, substringData`

Methods inherited from class org.apache.xerces.dom.ChildNode
`cloneNode, getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getAttributes, getContainer, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNodeNumber, getOwnerDocument, getPrefix, getReadOnly, getTextContent, getUserData, getUserData, getUserDataRecord, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, item, lookupNamespaceURI, lookupPrefix, needsSyncChildren, normalize, removeChild, removeEventListener, replaceChild, setOwnerDocument, setPrefix, setReadOnly, setTextContent, setUserData, setUserData, synchronizeData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Field Detail

### target

    protected java.lang.String target

Constructor Detail

### ProcessingInstructionImpl

    public ProcessingInstructionImpl(CoreDocumentImpl ownerDoc,
                                     java.lang.String target,
                                     java.lang.String data)

  Factory constructor.

Method Detail

### getNodeType

    public short getNodeType()

  A short integer indicating what type of node this is. The named constants for this value are defined in the org.w3c.dom.Node interface.

  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`
  Specified by:
    `getNodeType` in class `NodeImpl`

### getNodeName

    public java.lang.String getNodeName()

  Returns the target

  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`
  Specified by:
    `getNodeName` in class `NodeImpl`

### getTarget

    public java.lang.String getTarget()

  A PI's "target" states what processor channel the PI's data should be directed to. It is defined differently in HTML and XML.

  In XML, a PI's "target" is the first (whitespace-delimited) token following the " In HTML, target is always null.

  Note that getNodeName is aliased to getTarget.

  Specified by:
    `getTarget` in interface `org.w3c.dom.ProcessingInstruction`

### getData

    public java.lang.String getData()

  A PI's data content tells the processor what we actually want it to do. It is defined slightly differently in HTML and XML.

  In XML, the data begins with the non-whitespace character immediately after the target -- @see getTarget().

  In HTML, the data begins with the character immediately after the "<?" token that begins the PI.

  Note that getNodeValue is aliased to getData

  Specified by:
    `getData` in interface `org.w3c.dom.ProcessingInstruction`
  Overrides:
    `getData` in class `CharacterDataImpl`

### setData

    public void setData(java.lang.String data)

  Change the data content of this PI. Note that setData is aliased to setNodeValue.

  Specified by:
    `setData` in interface `org.w3c.dom.ProcessingInstruction`
  Overrides:
    `setData` in class `CharacterDataImpl`
  Throws:
    `DOMException(NO_MODIFICATION_ALLOWED_ERR)` - if node is read-only.
  See Also:
    `getData().`

### getBaseURI

    public java.lang.String getBaseURI()

  Returns the absolute base URI of this node or null if the implementation wasn't able to obtain an absolute URI. Note: If the URI is malformed, a null is returned.

  Specified by:
    `getBaseURI` in interface `org.w3c.dom.Node`
  Overrides:
    `getBaseURI` in class `NodeImpl`
  Returns:
    The absolute base URI of this node or null.
  Since:
    DOM Level 3

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.